2015-09-22  Murray Cumming  <murrayc@murrayc.com>

	1.90.11

2015-07-29  Murray Cumming  <murrayc@murrayc.com>

	1.90.10

2015-07-29  Murray Cumming  <murrayc@murrayc.com>

	configure.ac: Use more warnings, like gtkmm.

2015-07-29  Murray Cumming  <murrayc@murrayc.com>

	Examples/Tests: Use Gtk::Application instead of Gtk::Main.

	Because Gtk::Main is deprecated in gtkmm.

2015-07-29  Murray Cumming  <murrayc@murrayc.com>

	Examples: Replace Label::set_alignment() with set_xalign().

	Because Misc::set_alignment() is deprecated in gtkmm.

2015-07-29  Murray Cumming  <murrayc@murrayc.com>

	C++11: Use of range-based for loop.

2015-07-29  Murray Cumming  <murrayc@murrayc.com>

	C++11: Use of auto.

2015-07-29  Murray Cumming  <murrayc@murrayc.com>

	Use C++11 and the latest gtkmm.

	Because glibmm and gtkmm now require C++11 and gmmproc (from glibmm)
	now generates C++11 code.

2014-01-07  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Remove ItemSimple::get_bounds()

	* goocanvas/src/itemsimple.hg: ItemSimple::get_bounds() overrides
	Item::get_bounds(), which it shouldn't do. Remove ItemSimple::get_bounds().
	Bug #721627.

2013-07-03  José Alburquerque  <jaalburquerque@gmail.com>

	Move to a generated ChangeLog.

2013-07-02  José Alburquerque  <jaalburquerque@gmail.com>

	Auto-generate the ChangeLog from the git log for 'make dist'.

	* Makefile.am: Include the dist-changelog.am file copied in build/
	from mm-common so that the ChangeLog is automatically generated from
	the git commit messages on 'make dist'.

2013-04-24  Murray Cumming  <murrayc@murrayc.com>

	1.90.9

2012-03-15  Murray Cumming  <murrayc@murrayc.com>

	Fix warnings found by clang++.

	* examples/demo/primitives.cc: Use (void*) instead of NULL
	to avoid missing sentinel warnings.
	* goocanvas/src/canvas.ccg:
	* goocanvas/src/itemmodel.ccg:
	* goocanvas/src/points.ccg: Use 0 instead of NULL to avoid
	NULL generally.

2011-10-27  Murray Cumming  <murrayc@murrayc.com>

	1.90.8

2011-10-27  Murray Cumming  <murrayc@murrayc.com>

	tests, examples: Avoid compiler warnings and deprecated API.

	* examples/Makefile.am:
	* tests/Makefile.am: Fix a typo so we really use warning flags.
	* examples/coordinates/window.cc:
	* examples/custom_item/exampleitem.cc:
	* examples/demo/primitives.cc:
	* examples/drag_to_canvas/examplewindow.cc:
	* examples/moving_shapes/window.cc:
	* examples/simple/examplewindow.cc:
	* examples/table/examplewindow.cc:
	* examples/text/window.cc: Fix the build with --enable-warinings=fatal.

2011-10-27  Murray Cumming  <murrayc@murrayc.com>

	init(): Add back the old deprecated method overload.

	* goocanvas/goocanvasmm/init.[h|cc]: Add back the init() call with parameters,
	but deprecated, to avoid disturbing projects using goocanvasmm too much.

2011-10-26  Murray Cumming  <murrayc@murrayc.com>

	1.90.7

2011-10-26  Murray Cumming  <murrayc@murrayc.com>

	examples, tests: Adapt the init() calls.

	* examples/coordinates/main.cc:
	* examples/custom_item/main.cc:
	* examples/demo/main.cc:
	* examples/drag_to_canvas/main.cc:
	* examples/moving_shapes/main.cc:
	* examples/simple/main.cc:
	* examples/table/main.cc:
	* examples/tablemodel/main.cc:
	* examples/text/main.cc:
	* tests/child_properties/main.cc: Remove the extra parameters.

2011-10-26  Murray Cumming  <murrayc@murrayc.com>

	init(): Remove the parameters.

	* goocanvas/goocanvasmm/init.[h|cc]: Remove the (unused) parameters from
	init().

2011-10-26  Murray Cumming  <murrayc@murrayc.com>

	Fix the --enable-warnings=fatal build.

	* goocanvas/goocanvasmm/init.cc:  Do not include glibmm.h. It is not necessary.

2011-10-25  Murray Cumming  <murrayc@murrayc.com>

	init.h: Move the glibmm.h include to the .cc file.

	* goocanvas/goocanvasmm/init.[h|cc]: The glibmm.h include does not need to be in
	the header.

2011-10-25  Murray Cumming  <murrayc@murrayc.com>

	Add #includes needed with the latest glibmm.

	* goocanvas/src/bounds.hg:
	* goocanvas/src/enums.hg:
	* goocanvas/src/item.hg:
	* goocanvas/src/itemmodel.hg:  Add individual includes now that gmmproc does not
	add #include glibmm.h at the top of every generated header.

2011-10-10  Murray Cumming  <murrayc@murrayc.com>

	1.90.6

2011-09-27  Murray Cumming  <murrayc@murrayc.com>

	Added Gdk::RGBA properties.

	* goocanvas/src/libgoocanvas_methods.defs: Regenerated with h2defs.py.
	* goocanvas/src/libgoocanvas_signals.defs: Regenerated with extra_defs.
	* goocanvas/src/canvas.hg: Added the background-color-gdk-rgba property.
	* goocanvas/src/grid.hg: Added the horz-grid-line-color-gdk-rgba,
	vert-grid-line-color-gdk-rgba, and border-color-gdk-rgba lines.
	* goocanvas/src/itemsimple.hg: Added the stroke-color-gdk-rgba property and
	fixed the type of the *-pixbuf properties.

2011-09-21  Krzesimir Nowak  <qdlacz@gmail.com>

	Search for gtkmm-3.0 tag file, not gtkmm-2.4.

	* configure.ac: Goocanvasmm already uses gtkmm-3.0 so it
	should also use its documentation.
	* .gitignore: Ignore mm-common's doc utils.
	* doc/reference/.gitignore: Bump version number of files to ignore.

2011-06-14  Murray Cumming  <murrayc@murrayc.com>

	1.90.5

2011-06-13  Murray Cumming  <murrayc@murrayc.com>

	Fix the drag_to_canvas example.

	* examples/drag_to_canvas/examplewindow.cc:
	The way it calls drag_dest_set (with Gtk::DEST_DEFAULT_ALL) is explicitly
	mentioned as dramatic in the documentation of gtk_drag_dest_set. After fixing
	that, a trivial relative/absolute coordinates bug came up, and after fixing
	that, it started working.
	Bug #644033

2011-06-13  Murray Cumming  <murrayc@murrayc.com>

	Get the path to the pangomm and atkmm m4 files.

	* configure.ac: Fix the build by getting and using the paths to
	the pangomm and atkmm m4 files as well as the gtkmm one.
	These are only actualy used by the gtkmm m4 file, and it is
	tedious to have to do this explicitly, of course.

2011-06-13  Andreas Klaedtke  <andreas.klaedtke@gmx.net>

	Class hierarchy for class GridModel changed

	GridModel was derived from ItemSimple, this patch derives it from
	ItemModelSimple (Goocanvasmm Bug #651355).

2011-06-12  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Correct null pointer conversion from Goocanvas::Canvas* to GooCanvas*.

	* codegen/m4/convert_libgoocanvasmm.m4: Use Glib::unwrap(x) instead of
	x->gobj(), avoiding a crash when x is 0. Bug #606357.

2011-05-24  Olav Vitters  <olav@vitters.nl>

	Use tar-ustar instead of tar-pax to ensure OpenBSD compatibility

2011-03-30  Murray Cumming  <murrayc@murrayc.com>

	1.90.4

2011-03-30  Murray Cumming  <murrayc@murrayc.com>

	Avoid a tarball dependency on mm-common.

	* configure.ac: Require the latest version of mm-common.
	Call MM_CONFIG_DOCTOOL_DIR() to createe, use, and dist a local copy of the
	mm-common scripts.

2011-02-24  Murray Cumming  <murrayc@murrayc.com>

	Build the tests during make check too.

	* configure.ac: Mention the tests/Makefile.am file.
	* Makefile.am: Add tests to SUBDIRS.
	* tests/Makefile.am: Specify the test to build here, and its source code.
	* tests/child_properties/Makefile.am: Remove.

2011-02-24  Murray Cumming  <murrayc@murrayc.com>

	Build the examples during make check (and distcheck).

	* Makefile.am: Add examples to the SUBDIRS.
	* examples: Remove the individual Makefile.am files, adding their contents
	to examples/Makefile.am.

	The build of the examples was apparently disabled since we converted the build
	to use mm-common.

2011-02-02  Murray Cumming  <murrayc@murrayc.com>

	1.90.3

2011-02-02  Murray Cumming  <murrayc@murrayc.com>

	Correct the use of Glib::ListHandler.

	* goocanvas/src/item.ccg: Fix a compilation error and do not try to
	remember the temporary value from data().

2011-01-28  Murray Cumming  <murrayc@murrayc.com>

	Replace use of *ListHandle with std::vector<>, as in gtkmm.

	* goocanvas/src/canvas.hg:
	* goocanvas/src/item.[hg|ccg]: However, the vfunc implemenations here need
	some attention to make sure that we are not doing awful things with memory.

2011-01-12  Murray Cumming  <murrayc@murrayc.com>

	1.90.2

2011-01-05  Murray Cumming  <murrayc@murrayc.com>

	Use Gdk::Cursor via RefPtr.

	* codegen/m4/convert_libgoocanvasmm.m4: Added a conversion.
	* goocanvas/src/canvas.hg: pointer_grab(): Take the Gdk::Cursor as a RefPtr<>,
	as is now necessary with gtkmm 3.

2010-12-16  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with the latest gtkmm from git master.

	* configure.ac: Set GMMPROC_EXTRA_M4_DIR to use the gtkmm m4 conversions.

2010-12-03  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with the latest gtkmm from git master.

	* goocanvas/src/itemmodelsimple.hg:
	* goocanvas/src/itemsimple.hg:
	* goocanvas/src/text.hg:
	* goocanvas/src/textmodel.hg: Added pangomm includes.

2010-11-03  Murray Cumming  <murrayc@murrayc.com>

	1.9.2

2010-10-27  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with a (future/patched) goocanvas.

	* goocanvas/src/canvas.hg: Don't wrap the set_scroll_adjustments signal,
	because it was only for internal use by GtkScrolledWindow and will be
	removed from GooCanvas soon.

2010-09-29  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with the latest gtkmm 3 API.

	* goocanvas/src/canvas.[hg|ccg]: Use Gtk::Adjustment via RefPtr.

2010-09-15  Murray Cumming  <murrayc@murrayc.com>

	Replace use of Gtk::AlignmentEnum with Gtk::Align.

	* goocanvas/src/table.[hg|ccg]:
	* goocanvas/src/tablemodel.[hg|ccg]: This fixes the build with
	gtkmm from git master.

2010-09-06  Murray Cumming  <murrayc@murrayc.com>

	Adapt to latest goocanvas API, using the new AnchorType enum.

	* goocanvas/src/libgoocanvas_enums.defs:
	* goocanvas/src/libgoocanvas_methods.defs:
	* goocanvas/src/libgoocanvas_signals.defs: Regenerated.
	* codegen/m4/convert_libgoocanvasmm.m4:
	* goocanvas/src/canvas.hg:
	* goocanvas/src/enums.hg:
	* goocanvas/src/text.[hg|ccg]:
	* goocanvas/src/textmodel.[hg|ccg]
	* goocanvas/src/widget.hg: Use AnchorType instead of Gtk::AnchorTYpe.

2010-09-02  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with the latest cairomm.

	* goocanvas/src/enums.[hg|ccg]: Remove the (unused) Value<Cairo::Pattern>
	specialization. Pattern should always (and is always) used via RefPtr
	anyway.

2010-06-23  Murray Cumming  <murrayc@murrayc.com>

	1.9.0

2010-06-13  Murray Cumming  <murrayc@murrayc.com>

	Use gtkmm-3.0 instead of gtkmm-2.4.

	* configure.ac: Really use gtkmm-3.0.

2010-06-11  Murray Cumming  <murrayc@murrayc.com>

	Change to goocanvasmm-2.0

	* examples/Makefile.am_fragment:
	* configure.ac: Depend on goocanvas-2.0 instead of 1.0 so we use GTK+ 3,
	and change this from goocanvasmm-1.0 to goocanvasmm-2.0.

2010-05-04  Murray Cumming  <murrayc@murrayc.com>

	0.15.3

2010-05-04  Murray Cumming  <murrayc@murrayc.com>

	Documentation improvements.

	* goocanvas/goocanvasmm.h: Slight improvements to main page text, adding a
	link to the Canvas widget class.
	* goocanvas/src/canvas.hg: Added a class description.
	* doc/reference/Doxyfile.in: Make more like gtkmm's. In particular, show
	undocumented classes (they should be documented though).

2010-04-27  David King  <davidk@openismus.com>

	Add main page to Doxygen documentation

	* doc/Makefile.am: Parse goocanvas/goocanvasmm.h for documentation.
	* goocanvas/goocanvasmm.h: Add main page to Doxygen documentation.

2010-04-16  Murray Cumming  <murrayc@murrayc.com>

	0.15.2

2009-09-18  Daniel Elstner  <danielk@openismus.com>

	Add missing tag files and update Doxygen config

	* configure.ac (MM_ARG_WITH_TAGFILE_DOC): Reference the installed
	Doxygen tag files of cairomm, pangomm and gtkmm.
	* doc/reference/Doxyfile.in: Update configuration for Doxygen 1.6.1.
	(SORT_MEMBERS_CTORS_1ST): Set to YES.
	(EXCLUDE_SYMBOLS): Remove bogus Skeleton* symbols from the list.
	(EXAMPLE_*): Correct the accidentally substituted variable names.
	(EXAMPLE_PATH): Point to the examples/ source directory.
	(EXAMPLE_RECURSIVE): Set to YES.
	(PREDEFINED): Define GTKMM_ATKMM_ENABLED, just in case.

2009-09-18  Daniel Elstner  <danielk@openismus.com>

	Insert missing comma to separate M4 macro args

	* configure.ac (GOOCANVASMM_WXXFLAGS): Insert missing comma to
	separate the fourth macro argument from the third.  This means
	the deprecation macros are now defined again in fatal warnings
	mode.

2009-09-18  Murray Cumming  <murrayc@murrayc.com>

	goocanvasmmconfig.h: Make this work.

	* goocanvas/goocanvasmmconfig.h.in: Use actual GOOCANVASMM values,
	instead of being a copy of the file from libgdamm. Noticed by
	Daniel Elstner.

2009-09-17  Daniel Elstner  <danielk@openismus.com>

	Remove generated and unused files from repository

	* INSTALL: Delete file provided by Automake.
	* MAINTAINERS: Delete obsolete file.
	* codegen/Makefile_list_of_sources.am_fragment: Delete obsolete build
	file left over from before the transition to mm-common.
	* goocanvas/src/temp_file: Delete bogus file.
	* goocanvas/goocanvasmm/private/bounds_p.h: Delete generated file.
	* **/.gitignore: Update lists of ignored files.

2009-09-17  Murray Cumming  <murrayc@murrayc.com>

	Do not put a generated ChangeLog in the tarball.

	* Makefile.am: Remove the include of dist-changelog.am becaise I do not
	want some crappy generated ChangeLog based on random vague commit
	messages that can't be corrected later. I fight entropy. murrayc.

2009-09-14  Murray Cumming  <murrayc@murrayc.com>

	0.15.1:

2009-09-14  Murray Cumming  <murrayc@murrayc.com>

	* goocanvas/goocanvasmm/init.cc:
	* goocanvas/src/linedash.hg: Fix some warnings found during distcheck.

2009-09-14  Murray Cumming  <murrayc@murrayc.com>

	Fixed some missed search/replaces

2009-09-14  Murray Cumming  <murrayc@murrayc.com>

	Added missing file.

2009-09-14  Murray Cumming  <murrayc@murrayc.com>

	Converted to the new (simpler, better) mm-common build system, mostly to get API documentatino that is compatible with library.gnome.org.

2009-08-24  Murray Cumming  <murrayc@murrayc.com>

	Fix the install.

	* goocanvas/goocanvasmm/Makefile.am: Do not mention wrap_init.h here,
	to avoid an error about a duplicate mention during install.

2009-07-07  Murray Cumming  <murrayc@murrayc.com>

	Image: Added the scale-to-fit property.

	* goocanvas/src/libgda_signals.defs: Regenerated.
	* goocanvas/src/image.hg, imagemodel.hg: Add the scale-to-fit property.

2009-07-05  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with the normal API again, and fix some whitespace.

2009-07-05  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with disabled 	exceptions and disabled properties API. It is not pretty.

	* examples/coordinates/window.cc:
	* examples/custom_item/examplewindow.cc:
	* examples/demo/primitives.cc:
	* examples/drag_to_canvas/examplewindow.cc:
	* examples/moving_shapes/window.cc:
	* examples/simple/examplewindow.cc:
	* examples/table/examplewindow.cc:
	* examples/tablemodel/examplewindow.cc:
	* examples/text/window.cc:
	* goocanvas/src/polyline.ccg:
	* goocanvas/src/polylinemodel.ccg: Added ifdefs.

2009-06-24  Daniel Elstner  <danielk@openismus.com>

	Add DOAP file

2009-05-18  Murray Cumming  <murrayc@murrayc.com>

	Item_Class::get_items_at_vfunc_callback(): Added a return 0 to avoid a compiler warning. Bug #582996 (Vincent Untz)

2009-03-26  Murray Cumming  <murrayc@src.gnome.org>

	Increased version

	svn path=/goocanvasmm/trunk/; revision=2131

2009-03-25  Murray Cumming  <murrayc@murrayc.com>

	Added this file, written by hand.

2009-03-25  Murray Cumming  <murrayc@murrayc.com>

	* goocanvas/src/Makefile.am:
	* goocanvas/src/libgoocanvas.defs:
	* goocanvas/src/libgoocanvas_fake_properties.defs: Added this file, 
	written by hand.
	* goocanvas/src/item.hg:
	* goocanvas/src/itemmodel.hg: Add fake x, y, width, and height 
	properties in these base classes.
	These properties are not really in GooCanvasItemModel, but they are 
	actually implemented in all derived GooCanvasItemModel classes 
	individually. That is a GooCanvas design error, but the patch to fix it 
	has not yet been accepted. See bug #555097 

	* goocanvas/src/ellipse.hg:
	* goocanvas/src/grid.hg:
	* goocanvas/src/gridmodel.hg:
	* goocanvas/src/group.hg:
	* goocanvas/src/image.hg:
	* goocanvas/src/imagemodel.hg:
	* goocanvas/src/path.hg:
	* goocanvas/src/polyline.hg:
	* goocanvas/src/rect.hg:
	* goocanvas/src/rectmodel.hg:
	* goocanvas/src/table.hg:
	* goocanvas/src/tablemodel.hg:
	* goocanvas/src/text.hg:
	* goocanvas/src/widget.hg: Removed the x, y, width, and height 
	properties from the derived classes.

	svn path=/goocanvasmm/trunk/; revision=2130

2009-03-25  Murray Cumming  <murrayc@murrayc.com>

	Wrapped the new x, y, width, and height properties here too.

2009-03-25  Murray Cumming  <murrayc@murrayc.com>

	* goocanvas/src/group.hg: Wrapped the new x, y, width, 
	and height properties here too.

	svn path=/goocanvasmm/trunk/; revision=2129

2009-03-25  Murray Cumming  <murrayc@murrayc.com>

	Wrapped the (sometimes) new x, y, width, and height properties.

2009-03-25  Murray Cumming  <murrayc@murrayc.com>

	* goocanvas/src/ellipse.hg:
	* goocanvas/src/path.hg:
	* goocanvas/src/polyline.hg:
	* goocanvas/src/table.hg:
	* goocanvas/src/text.hg: Wrapped the (sometimes) new x, y, width, 
	and height properties.

	svn path=/goocanvasmm/trunk/; revision=2128

2009-03-25  Murray Cumming  <murrayc@murrayc.com>

	Depend on the latest goocanvasmm.

2009-03-25  Murray Cumming  <murrayc@murrayc.com>

	* configure.in: Depend on the latest goocanvasmm.
	* goocanvas/src/libgoocanvas_enums.defs:
	* goocanvas/src/libgoocanvas_methods.defs:
	* goocanvas/src/libgoocanvas_signals.defs: Regenerated.
	* goocanvas/src/item.hg: Added signal_scroll_event.

	svn path=/goocanvasmm/trunk/; revision=2127

2009-01-27  Deng Xiyue  <manphiz@gmail.com>

	Change license header to mention Lesser General Public License version 2.1

2009-01-24  Deng Xiyue  <manphiz@gmail.com>

	* Change license header to mention Lesser General Public License
	version 2.1 instead of Library General Public License, to be
	consistent with COPYING.

	svn path=/goocanvasmm/trunk/; revision=2019

2008-12-15  Murray Cumming  <murrayc@murrayc.com>

	Remove extra ;s to avoid compiler warnings.

2008-12-15  Murray Cumming  <murrayc@murrayc.com>

	* goocanvas/src/ellipsemodel.hg:
	* goocanvas/src/text.hg: Remove extra ;s to avoid compiler warnings.

	svn path=/goocanvasmm/trunk/; revision=1862

2008-12-10  Hubert Figuiere  <hub@src.gnome.org>

	fix warnings. (Bug #562903)

	* examples/moving_shapes/window.cc: 
	* examples/demo/primitives.cc: fix warnings. (Bug #562903)

	svn path=/goocanvasmm/trunk/; revision=1831

2008-12-01  Murray Cumming  <murrayc@src.gnome.org>

	Increased version

	svn path=/goocanvasmm/trunk/; revision=1823

2008-12-01  Murray Cumming  <murrayc@murrayc.com>

	Added get_static_root_item() and get_static_root_item_model().

2008-12-01  Murray Cumming  <murrayc@murrayc.com>

	* goocanvas/src/canvas.hg: Added get_static_root_item() and 
	get_static_root_item_model().
	* goocanvas/src/libgoocanvas_vfuncs.defs:
	* goocanvas/src/item.hg: Added set/get_is_static() and the vfuncs.
	Added animation_finished signal.
	* goocanvas/src/itemmodel.hg: Added animation_finished signal.

	svn path=/goocanvasmm/trunk/; revision=1822

2008-11-19  Jonathon Jongsma  <jjongsma@src.gnome.org>

	Fix build with cairomm >= 1.7

	* examples/demo/primitives.cc: use cairo_matrix_t directly since that's
	actually the type that we need for the g_object_set() call.  This fixes the
	build when using cairomm 1.7+ (Bug #560074)

	svn path=/goocanvasmm/trunk/; revision=1804

2008-11-13  Murray Cumming  <murrayc@murrayc.com>

	Added GridModel.

2008-11-13  Murray Cumming  <murrayc@murrayc.com>

	* goocanvas/src/Makefile_list_of_hg.am_fragment:
	* goocanvas/src/gridmodel.ccg:
	* goocanvas/src/gridmodel.hg: Added GridModel.

	svn path=/goocanvasmm/trunk/; revision=1787

2008-11-13  Murray Cumming  <murrayc@murrayc.com>

	Added the new grid item.

2008-11-13  Murray Cumming  <murrayc@murrayc.com>

	* tools/extra_defs_gen/generate_defs_goocanvas.cc: Added the new grid 
	item.
	* goocanvas/src/libgoocanvas_methods.defs:
	* goocanvas/src/libgoocanvas_signals.defs: Regenerated.

	* goocanvas/goocanvasmm.h:
	* goocanvas/src/Makefile_list_of_hg.am_fragment:
	* goocanvas/src/grid.ccg:
	* goocanvas/src/grid.hg: Added Grid, wrapping GooCanvasGrid.

	svn path=/goocanvasmm/trunk/; revision=1786

2008-11-07  José Alburquerque  <jaalburqu@svn.gnome.org>

	Modify enums so that CANVAS_* is removed. Bug #557990 (Louis-Francis

2008-11-07  José Alburquerque  <jaalburqu@svn.gnome.org>

	* goocanvas/src/enums.hg:
	* goocanvas/src/itemmodel.hg:
	* goocanvas/src/path.hg: Modify enums so that CANVAS_* is removed.
	Bug #557990 (Louis-Francis Ratté-Boulianne)

	svn path=/goocanvasmm/trunk/; revision=1778

2008-11-06  Armin Burgmeier  <armin@openismus.com>

	Remove the const qualifier for the get_items_at_vfunc, because otherwise

2008-11-05  Armin Burgmeier  <armin@openismus.com>

	* goocanvas/src/item.hg:
	* goocanvas/src/item.ccg: Remove the const qualifier for the
	get_items_at_vfunc, because otherwise the item itself cannot be added
	to the returned list of items.
	Bug #559374 (Louis-Francis Ratté-Boulianne)

	svn path=/goocanvasmm/trunk/; revision=1775

2008-10-30  Murray Cumming  <murrayc@murrayc.com>

	Correct ensure_upated() to ensure_updated(). Bug #558489 (Louis-Francis

2008-10-30  Murray Cumming  <murrayc@murrayc.com>

	* goocanvas/src/item.hg: Correct ensure_upated() to 
	ensure_updated().
	Bug #558489 (Louis-Francis Ratté-Boulianne)

	svn path=/goocanvasmm/trunk/; revision=1755

2008-10-20  Murray Cumming  <murrayc@src.gnome.org>

	Increase version

	svn path=/goocanvasmm/trunk/; revision=1752

2008-10-13  Murray Cumming  <murrayc@murrayc.com>

	Renamed set/get_child_property() to set/get_child_property_value() and

2008-10-13  Murray Cumming  <murrayc@murrayc.com>

	* goocanvas/src/item.hg: Renamed set/get_child_property() to 
	set/get_child_property_value() and added templated set/get_child_property() 
	methods that do not use Glib::Value in their API.
	* tests/child_properties/main.cc: Adjusted.

	svn path=/goocanvasmm/trunk/; revision=1742

2008-10-08  Murray Cumming  <murrayc@murrayc.com>

	Added a test for get_child_property().

2008-10-08  Murray Cumming  <murrayc@murrayc.com>

	* Makefile.am:
	* configure.in:
	* tests/Makefile.am:
	* tests/child_properties/: Added a test
	for get_child_property().

	svn path=/goocanvasmm/trunk/; revision=1734

2008-09-13  Murray Cumming  <murrayc@src.gnome.org>

	Increased version

	svn path=/goocanvasmm/trunk/; revision=1699

2008-09-13  Murray Cumming  <murrayc@murrayc.com>

	0.11.0:

2008-09-13  Murray Cumming  <murrayc@murrayc.com>

	* examples/custom_item/exampleitem.cc:
	* examples/custom_item/examplewindow.cc:
	* examples/custom_item/main.cc:
	* examples/demo/main.cc:
	* examples/demo/window.cc:
	* examples/demo/window.h:
	* examples/drag_to_canvas/examplewindow.cc:
	* examples/drag_to_canvas/main.cc:
	* examples/moving_shapes/main.cc:
	* examples/moving_shapes/window.cc:
	* examples/simple/examplewindow.cc:
	* examples/simple/main.cc:
	* examples/table/examplewindow.cc:
	* examples/table/main.cc:
	* examples/tablemodel/examplewindow.cc:
	* examples/tablemodel/main.cc: Added missing copyright 
	comment blocks.

	svn path=/goocanvasmm/trunk/; revision=1698

2008-07-27  Murray Cumming  <murrayc@murrayc.com>

	Added header guards.

2008-07-27  Murray Cumming  <murrayc@murrayc.com>

	* examples/coordinates/window.h:
	* examples/custom_item/Makefile.am:
	* examples/custom_item/exampleitem.cc:
	* examples/custom_item/exampleitem.h:
	* examples/custom_item/examplewindow.cc:
	* examples/custom_item/examplewindow.h:
	* examples/drag_to_canvas/examplewindow.h:
	* examples/moving_shapes/window.h:
	* examples/simple/examplewindow.h:
	* examples/table/examplewindow.h:
	* examples/tablemodel/examplewindow.h:
	* examples/text/window.h: Added header guards.

	* configure.in:
	* examples/Makefile.am:
	* examples/custom_item/: New unfinished unworking 
	example of a custom item doing its own drawing.

	svn path=/goocanvasmm/trunk/; revision=1644

2008-07-27  Murray Cumming  <murrayc@src.gnome.org>

	Updated NEWS

	svn path=/goocanvasmm/trunk/; revision=1643

2008-07-27  Murray Cumming  <murrayc@murrayc.com>

	Regenerated. Regenerated. Corrected the Event signals by hand. Created

2008-07-27  Murray Cumming  <murrayc@murrayc.com>

	* goocanvas/src/libgoocanvas_docs.xml: Regenerated.
	* goocanvas/src/libgoocanvas_enums.defs: Regenerated.
	* goocanvas/src/libgoocanvas_signals.defs: Corrected the Event signals by 
	hand.
	* goocanvas/src/libgoocanvas_signals.defs.patch: Created this patch 
	to do the same in future.

	svn path=/goocanvasmm/trunk/; revision=1642

2008-07-27  Murray Cumming  <murrayc@murrayc.com>

	Regenerate

2008-07-27  Murray Cumming  <murrayc@murrayc.com>

	* goocanvas/src/libgoocanvas_signals.defs: Regenerate

	svn path=/goocanvasmm/trunk/; revision=1641

2008-07-20  Armin Burgmeier  <armin@openismus.com>

	Added detection of Win32 platform, and added the AC_LIBTOOL_WIN32_DLL

2007-07-20  Armin Burgmeier  <armin@openismus.com>

	* configure.in: Added detection of Win32 platform, and added the
	AC_LIBTOOL_WIN32_DLL macro to produce a DLL on Windows.

	* build_shared/Makefile_build.am_fragment: Add -no-undefined to the
	ldflags on Windows because DLLs are not allowed to contain undefined
	references.

	svn path=/goocanvasmm/trunk/; revision=1613

2008-06-23  Hubert Figuiere  <hub@src.gnome.org>

	require goocanvas 0.10. Bug #539600

	* configure.in: require goocanvas 0.10. Bug #539600

	svn path=/goocanvasmm/trunk/; revision=1581

2008-06-23  Hubert Figuiere  <hub@src.gnome.org>

	Remove spurious ';'.

	* goocanvas/src/item.hg: Remove spurious ';'.

	svn path=/goocanvasmm/trunk/; revision=1580

2008-05-06  Murray Cumming  <murrayc@murrayc.com>

	Added get_simple_transform().

2008-05-06  Murray Cumming  <murrayc@murrayc.com>

	* goocanvas/src/item.hg:
	* goocanvas/src/itemmodel.hg: Added get_simple_transform().
	* goocanvas/src/table.ccg:
	* goocanvas/src/table.hg: Added documentation for attach().

	* goocanvas/src/itemmodelsimple.hg:
	* goocanvas/src/libgoocanvas_methods.defs:
	* goocanvas/src/rectmodel.hg:
	* goocanvas/src/tablemodel.ccg:
	* goocanvas/src/tablemodel.hg: Use double instead of gdouble in the API, 
	for consistency with gtkmm.

	svn path=/goocanvasmm/trunk/; revision=1489

2008-05-05  Armin Burgmeier  <armin@openismus.com>

	Added missing main.cc file.

2008-05-05  Armin Burgmeier  <armin@openismus.com>

	* examples/tablemodel/main.cc: Added missing main.cc file.

	svn path=/goocanvasmm/trunk/; revision=1488

2008-04-11  Armin Burgmeier  <armin@openismus.com>

	Added a new example showing two canvases that display the same underlaying

2008-04-11  Armin Burgmeier  <armin@openismus.com>

	* examples/tablemodel/examplewindow.h:
	* examples/tablemodel/examplewindow.cc:
	* examples/tablemodel/Makefile.am: Added a new example showing two
	canvases that display the same underlaying model.

	* examples/Makefile.am:
	* configure.in: Build the new example.

	svn path=/goocanvasmm/trunk/; revision=1452

2008-04-10  Armin Burgmeier  <armin@openismus.com>

	Added x-border-spacing, y-border-spacing, vert-grid-line-width,

2008-04-10  Armin Burgmeier  <armin@openismus.com>

	* goocanvas/src/table.hg:
	* goocanvas/src/tablemodel.hg: Added x-border-spacing,
	y-border-spacing, vert-grid-line-width, horz-grid-line-width
	properties.

	* goocanvas/src/libgoocanvas_signals.defs: Regenerated.

	svn path=/goocanvasmm/trunk/; revision=1449

2008-03-17  Armin Burgmeier  <armin@openismus.com>

	Added attach() convenience API.

2008-03-17  Armin Burgmeier  <armin@openismus.com>

	* goocanvas/src/table.hg:
	* goocanvas/src/table.ccg:
	* examples/table/examplewindow.h: 
	* examples/table/examplewindow.cc: Added attach() convenience API.

	* goocanvas/src/tablemodel.hg:
	* goocanvas/src/tablemodel.ccg:
	* goocanvas/src/Makefile_list_of_hg.am_fragment:
	* goocanvas/goocanvasmm.h: Wrapped GooCanvasItemModel.

	* goocanvas/src/style.hg:
	* goocanvas/src/style.ccg:
	* goocanvas/src/enums.ccg: Wrapped goo_canvas_style_get/set_property()
	via a similar approach to Glib::ObjectBase::get/set_property(). This
	requires Glib::Value<> to work with some non-GObject-based cairo
	types (that goocanvas already wraps for GObject).

	* goocanvas/src/libgoocanvas_methods.defs: Regenerated.

	* goocanvas/src/libgoocanvas_vfuncs.defs: Added missing vfuncs.

	* tools/m4/convert_libgoocanvasmm.m4: Added more required conversions.

	* goocanvas/src/itemsimple.hg:
	* goocanvas/src/itemmodel.ccg:
	* goocanvas/src/canvas.hg:
	* goocanvas/src/widget.hg:
	* goocanvas/src/enums.hg:
	* goocanvas/src/item.hg:
	* goocanvas/src/itemmodel.hg:
	* goocanvas/src/text.hg:
	* goocanvas/src/item.ccg: Wrapped remaining properties, signals,
	methods and vfuncs.

	svn path=/goocanvasmm/trunk/; revision=1410

2008-02-29  Murray Cumming  <murrayc@src.gnome.org>

	Increase version

	svn path=/goocanvasmm/trunk/; revision=1376

2008-02-25  Jonathon Jongsma  <jjongsma@src.gnome.org>

	re-generate wrap get/set_child_property() wrap get/set_child_property()

	* goocanvas/src/libgoocanvas_methods.defs: re-generate
	* goocanvas/src/item.hg: wrap get/set_child_property()
	* goocanvas/src/itemmodel.hg: wrap get/set_child_property()
	* goocanvas/src/itemsimple.hg: wrap get_line_width()

	svn path=/goocanvasmm/trunk/; revision=1368

2008-02-25  Jonathon Jongsma  <jjongsma@src.gnome.org>

	move PointerEvents and ItemVisiblity enums to a separate enums file so

	* goocanvas/src/Makefile_list_of_hg.am_fragment:
	* goocanvas/src/enums.ccg:
	* goocanvas/src/enums.hg: move PointerEvents and ItemVisiblity enums to a
	separate enums file so that they can be used from both Item and ItemModel
	* goocanvas/src/item.hg: move enums from here
	* goocanvas/src/itemmodel.hg: wrap some additional properties and signals of
	the ItemModel class
	* goocanvas/src/libgoocanvas_signals.defs: re-generate signals / properties
	* goocanvas/goocanvasmm.h: add new enums header

	svn path=/goocanvasmm/trunk/; revision=1367

2008-02-21  Gennaro Bellizio  <genbell@tiscali.it>

	Use the C++ type for the alignment property. Bug #517817.

2008-02-21  Gennaro Bellizio  <genbell@tiscali.it>

	* goocanvas/src/textmodel.hg: Use the C++ type for the alignment 
	property. Bug #517817.

	svn path=/goocanvasmm/trunk/; revision=1360

2008-02-20  Gennaro Bellizio  <genbell@tiscali.it>

	Constructor: Correct the property name from string to text to fix the

2008-02-20  Gennaro Bellizio  <genbell@tiscali.it>

	* goocanvas/src/textmodel.ccg: Constructor: Correct the property name 
	from string to text to fix the instantiation.

	svn path=/goocanvasmm/trunk/; revision=1357

2008-02-17  Jonathon Jongsma  <jjongsma@src.gnome.org>

	modify get_items_at() to take a non-const listhandle for found_items since

	* goocanvas/src/item.hg: modify get_items_at() to take a non-const
	listhandle for found_items since the convention for C functions that
	implement this function is to add any found items onto this list and then
	pass it down to the child item which adds their found items.
	Also wrapped a few more vfuncs
	* goocanvas/src/itemsimple.hg: wrap vfuncs, add getters and setters for some
	public data members
	* goocanvas/src/libgoocanvas_vfuncs.defs: update get_items_at()
	* tools/m4/convert_libgoocanvasmm.m4: minor changes to support the changes
	above

	svn path=/goocanvasmm/trunk/; revision=1352

2008-02-07  Jonathon Jongsma  <jjongsma@src.gnome.org>

	hook up the button-press signal on the simple example

	* examples/simple/examplewindow.cc: hook up the button-press signal on the
	simple example

	svn path=/goocanvasmm/trunk/; revision=1327

2008-02-07  Jonathon Jongsma  <jjongsma@src.gnome.org>

	added vfunc definitions for ItemSimple added _MEMBER_GET/SET for bounds,

	* goocanvas/src/libgoocanvas_vfuncs.defs: added vfunc definitions for
	ItemSimple
	* goocanvas/src/itemsimple.hg: added _MEMBER_GET/SET for bounds, attempted
	to wrap the vfuncs, but there seems to be a ref-counting issue -- needs
	investigation.

	svn path=/goocanvasmm/trunk/; revision=1325

2008-02-06  Jonathon Jongsma  <jjongsma@src.gnome.org>

	re-generated docs

	* goocanvas/src/libgoocanvas_docs.xml: re-generated docs

	svn path=/goocanvasmm/trunk/; revision=1323

2007-11-30  Johannes Schmid  <johannes.schmid@openismus.com>

	Bumped glibmm dependency to 2.14.2 (#500690)

	2007-11-30  Johannes Schmid <johannes.schmid@openismus.com>

	* configure.in: Bumped glibmm dependency to 2.14.2 (#500690)

	svn path=/goocanvasmm/trunk/; revision=1250

2007-11-19  Murray Cumming  <murrayc@murrayc.com>

	Handle drag-motion again to show the problem.

2007-11-19  Murray Cumming  <murrayc@murrayc.com>

	* examples/drag_to_canvas/examplewindow.cc: Handle drag-motion 
	again to show the problem.

	svn path=/goocanvasmm/trunk/; revision=1236

2007-11-19  Murray Cumming  <murrayc@murrayc.com>

	Make this work for drops, but without using drag_motion to show a preview.

2007-11-19  Murray Cumming  <murrayc@murrayc.com>

	* examples/drag_to_canvas/examplewindow.cc:
	* examples/drag_to_canvas/examplewindow.h: Make this work 
	for drops, but without using drag_motion to show a preview.

	svn path=/goocanvasmm/trunk/; revision=1235

2007-11-19  Murray Cumming  <murrayc@murrayc.com>

	Add default values to the constructor parameters. Remove the default

2007-11-19  Murray Cumming  <murrayc@murrayc.com>

	* goocanvas/src/ellipse.hg: Add default values to the 
	constructor parameters.
	* goocanvas/src/rect.hg: Remove the default constructor, 
	because we already have a constructor with all default 
	parameter values.

	* configure.in:
	* examples/Makefile.am:
	* examples/drag_to_canvas/examplewindow.cc:
	* examples/drag_to_canvas/examplewindow.h:
	* examples/drag_to_canvas/main.cc: Added an example of 
	dragging items from a toolbar to a canvas, though this 
	does not work yet.

	svn path=/goocanvasmm/trunk/; revision=1234

2007-11-09  Murray Cumming  <murrayc@murrayc.com>

	Removed cairomm and glibmm checks. gtkmm should be enough.

2007-11-09  Murray Cumming  <murrayc@murrayc.com>

	* configure.in: Removed cairomm and glibmm checks.
	gtkmm should be enough.

	svn path=/goocanvasmm/trunk/; revision=1200

2007-11-09  Murray Cumming  <murrayc@murrayc.com>

	Correct the install location of the .m4 files. Mention the include

2007-11-09  Murray Cumming  <murrayc@murrayc.com>

	* tools/m4/Makefile.am: Correct the install location 
	of the .m4 files.
	* goocanvas/goocanvasmm-1.0.pc.in: Mention the include 
	directory of the architecture-specific headers.
	Bug #489865 (Yaakov Selkovitz)

	svn path=/goocanvasmm/trunk/; revision=1199

2007-11-02  Murray Cumming  <murrayc@src.gnome.org>

	Increased version

	svn path=/goocanvasmm/trunk/; revision=1171

2007-10-30  Murray Cumming  <murrayc@murrayc.com>

	Wrapped GooCanvasTable, though we need some API for the child properties.

2007-10-30  Murray Cumming  <murrayc@murrayc.com>

	* configure.in:
	* goocanvas/goocanvasmm.h:
	* goocanvas/src/Makefile_list_of_hg.am_fragment:
	* goocanvas/src/table.ccg:
	* goocanvas/src/table.hg: Wrapped GooCanvasTable, 
	though we need some API for the child properties.
	* examples/Makefile.am:
	* examples/simple/: Cleaned up the synax a little.
	* examples/table/: New example.

	svn path=/goocanvasmm/trunk/; revision=1162

2007-10-28  Murray Cumming  <murrayc@murrayc.com>

	Make the properties public, not protected.

2007-10-28  Murray Cumming  <murrayc@murrayc.com>

	* goocanvas/src/canvas.hg:
	* goocanvas/src/item.hg: Make the properties public, 
	not protected.

	svn path=/goocanvasmm/trunk/; revision=1151

2007-10-26  Murray Cumming  <murrayc@src.gnome.org>

	Removed unnecessary files.

	svn path=/goocanvasmm/trunk/; revision=1140

2007-10-25  Murray Cumming  <murrayc@murrayc.com>

	Added get_bounds(Bounds&) method overload.

2007-10-25  Murray Cumming  <murrayc@murrayc.com>

	* goocanvas/src/canvas.ccg:
	* goocanvas/src/canvas.hg: Added get_bounds(Bounds&) 
	method overload.

	svn path=/goocanvasmm/trunk/; revision=1123

2007-10-23  Murray Cumming  <murrayc@src.gnome.org>

	Increased version

	svn path=/goocanvasmm/trunk/; revision=1122

2007-10-23  Murray Cumming  <murrayc@murrayc.com>

	Wrapped the properties.

2007-10-23  Murray Cumming  <murrayc@murrayc.com>

	* goocanvas/src/canvas.hg: Wrapped the properties.

	svn path=/goocanvasmm/trunk/; revision=1121

2007-10-22  Murray Cumming  <murrayc@murrayc.com>

	Added a create() method to match the new constructor added inthe last

2007-10-22  Murray Cumming  <murrayc@murrayc.com>

	* goocanvas/src/image.hg: Added a create() method to 
	match the new constructor added inthe last commit.

	svn path=/goocanvasmm/trunk/; revision=1119

2007-10-22  Murray Cumming  <murrayc@murrayc.com>

	Added default values for the constructors and made them explicit.

2007-10-22  Murray Cumming  <murrayc@murrayc.com>

	* goocanvas/src/image.hg: Added default values for the 
	constructors and made them explicit.

	svn path=/goocanvasmm/trunk/; revision=1118

2007-10-22  Murray Cumming  <murrayc@murrayc.com>

	Fixed some more minor whitespace syntax that was annoying me.

2007-10-22  Murray Cumming  <murrayc@murrayc.com>

	* goocanvas/src/ellipsemodel.hg:
	* goocanvas/src/image.hg:
	* goocanvas/src/imagemodel.hg:
	* goocanvas/src/rectmodel.hg:
	* goocanvas/src/textmodel.hg: Fixed some more minor 
	whitespace syntax that was annoying me.

	svn path=/goocanvasmm/trunk/; revision=1117

2007-10-19  Murray Cumming  <murrayc@murrayc.com>

	Added refreturn to get_style(). Moved signal-specific conversions to the

2007-10-19  Murray Cumming  <murrayc@murrayc.com>

	* goocanvas/src/canvas.hg:
	* goocanvas/src/item.hg: Added refreturn to get_style().
	* tools/m4/convert_libgoocanvasmm.m4:
	Moved signal-specific conversions to the .hg files to 
	avoid accidental use for non-signals.

	svn path=/goocanvasmm/trunk/; revision=1111

2007-10-17  Murray Cumming  <murrayc@murrayc.com>

	A new example to show the behaviour of text items. Added some properties.

2007-10-17  Murray Cumming  <murrayc@murrayc.com>

	* configure.in:
	* examples/Makefile.am:
	* examples/text/window.cc:
	* examples/text/window.h: A new example to show 
	the behaviour of text items.
	* goocanvas/src/itemsimple.hg: Added some properties.
	* goocanvas/src/text.hg: Removed the font and 
	font-desc properties that are in ItemSimple instead.
	Added the wrap property.

	svn path=/goocanvasmm/trunk/; revision=1110

2007-10-17  Murray Cumming  <murrayc@src.gnome.org>

	Removed useless patches directory

	svn path=/goocanvasmm/trunk/; revision=1109

2007-10-17  Murray Cumming  <murrayc@src.gnome.org>

	Added MAINTAINERS file and corrected COPYING

	svn path=/goocanvasmm/trunk/; revision=1108

2007-10-17  Murray Cumming  <murrayc@src.gnome.org>

	Really added goocanvasmm

	svn path=/goocanvasmm/trunk/; revision=1107

2007-10-17  Murray Cumming  <murrayc@src.gnome.org>

	I seem to have added libgoocanvasmm instead of goocanvasmm

	svn path=/goocanvasmm/trunk; revision=1106

2007-10-17  Murray Cumming  <murrayc@src.gnome.org>

	Moved goocanvasmm from the sourceforge svn repository

	svn path=/goocanvasmm/trunk/; revision=1105

